## c2hs 0.16.2

=== debian/changelog ===
c2hs (0.16.2-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/copyright: Specify revision of Format-Specification:.
  * debian/patches/04_ghc6-6.12.diff: Use DEP-3 format.
  * Use debian/compat 7.

  [ Joachim Breitner ]
  * New upstream release. 
  * Remove patch 04_ghc6-6.12.diff 

 -- Joachim Breitner <nomeata@debian.org>  Fri, 23 Apr 2010 14:33:24 +0200

c2hs (0.16.0-1) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * New upstream.
  * debian/control:
    - Maintainer is now Debian Haskell Group with two uploaders.
    - Make Vcs-* fields point to darcs.
    - Homepage now points to Hackage.
    - Standards version 3.8.3.
    - Move Build-Depends-Indep entries to Build-Depends.
    - Update Build-Depends.
    - Use haskell-descripts Depends/Recommends/Suggests replacements.
  * debian/watch: Point to Hackage.
  * debian/rules: Switch to haskell-devscripts for build.
  * debian/c2hs.install: Changes required due to change in build.
  * debian/patches/ : Convert dpatch patches to quilt.

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/control: Change Section: to haskell.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * Use 3.0 (quilt) source format.
  * Include patch to work with ghc6-6.12.
  * debian/copyright: Use DEP-5 format.
  * debian/control: Bump Build-Depends: on haskell-devscripts to 0.7 and
    remove versioned Build-Depends on ghc6.
  * debian/control: Correct spacing of Homepage: field.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Fri, 12 Feb 2010 22:34:33 -0200

c2hs (0.15.1-4) unstable; urgency=low

  * debian/control:
    - Add doc-base to the Suggests of c2hs-doc.
    - Let the Vcs-* fields point the trunk branch.

 -- Arjan Oosting <arjan@debian.org>  Sun, 16 Mar 2008 23:40:39 +0100

c2hs (0.15.1-3) unstable; urgency=low

  * Fix lintian warnings:
    - Remove Apps prefix from Section to fix lintian warning: 
      c2hs-doc: doc-base-unknown-section c2hs-doc:12 Apps/Programming
    - Added debian/patches/03_fix-man-page to fix lintian warning: 
      c2hs: manpage-has-errors-from-man usr/share/man/man1/c2hs.1.gz 
      109: warning: `Bc2hs' not defined.
  * debian/rules:
    - Remove configure-stamp on clean.

 -- Arjan Oosting <arjan@debian.org>  Sun, 16 Mar 2008 15:36:20 +0100

c2hs (0.15.1-2) unstable; urgency=low

  * Update for GHC 6.8.2 which ships a new Cabal version:
    - debian/patches/00list: Disable 02_backport-to-old-cabal.
    - debian/control: Bump build dependency on ghc6 to 6.8.2.
    - debian/rules: Remove installed license file COPYING.

 -- Arjan Oosting <arjan@debian.org>  Mon, 07 Jan 2008 11:16:19 +0100

c2hs (0.15.1-1) unstable; urgency=low

  * New upstream release:
  * debian/c2hs.1: Removed as upstream ships the man page again.
  * debian/c2hs-doc.doc-base:
    - We only have html documentation so remove the "Format: text" entry.
    - Adjust paths to the html documentation.
  * debian/control:
    - Update Build-Depends-Indep for the changed way upstream builds the
      Users Guide.
    - Replace Xs-Vcs-* fields with the new official Vcs-* fields.
    - Bump Standards-Version to 3.7.3. No changes needed.
    - Add Homepage field.
  * debian/copyright:
    - Fix lintian error "copyright-file-contains-full-gfdl-license".
  * debian/rules:
    - Export DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE as
      /usr/share/doc/autotools-dev/README.Debian.gz suggests.
    - Call make -C doc in build-indep target to make the Users Guide.
  * debian/patches/11_documentation-fix.dpatch: Removed. Fixed upstream.
  * debian/patches/01_update-manpage.dpatch: Removed. Man page is not
    generated during build anymore.
  * debian/patches/01_fix-stylesheet-path-for-debian.dpatch: Added.
    Adjust the Makefile for the path to the stylesheet, which is
    different in Debian.
  * debian/patches/02_backport-to-old-cabal.dpatch: Added. Adjust .cabal
    for old Cabal version shipped with GHC 6.6.1
  * debian/c2hs.manpages: Added.

 -- Arjan Oosting <arjan@debian.org>  Mon, 07 Jan 2008 01:07:37 +0100

c2hs (0.15.0-1) experimental; urgency=low

  * New upstream release.
  * debian/c2hs.1: Added temporarily.
  * debian/c2hs.install:
    - Updated for new release.
  * debian/control:
    - Add alex and happy to the Build-Depends.
    - Drop autotools-dev from the Build-Depends as the config.{sub,guess}
      files are not needed anymore.
    - Temporarily stop building the c2hs-doc package as upstream
      accidentally did not ship documentation with this release. 
  * debian/patches:
    - Disabled 01_update-manpage and 11_documentation-fix as the tarball
      does not ship any documentation.
    - Removed 02_generate-manpage, 03_install-manpage,
      04_add-destdir-support, 05_fix-tests, 08_fix-autoconf-warning,
      10_update-configure and 12_nostrip.
      The build system no longer uses autotools and makefiles.
    - Removed 06_fix-Setup-for-ghc-6.4.2, 07_new-Data.Set-api and
      09_replace-deprecated-withObject. Fixes are included upstream
  * debian/rules:
    - Tarball does not ship tests or documentation so removed
      corresponding lines from debian/rules.
    - No need to copy up-to-date config.{sub,guess} files as they are not
      used anymore.
    - ./setup configure does not create a config.status file anymore, so
      instead touch configure-stamp at the end of the configure target.
 
 -- Arjan Oosting <arjan@debian.org>  Sun, 16 Sep 2007 20:48:55 +0200

c2hs (0.14.5-9) unstable; urgency=low

  * debian/control:
    - Update XS-Vcs-* fields as the packages has moved to the pkg-haskell
      subversion archive.


=== debian/control ===
Source: c2hs
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Arjan Oosting <arjan@debian.org>, Erik de Castro Lopo <erikd@mega-nerd.com>
Build-Depends: debhelper (>= 7),
 dpkg-dev (>= 1.14),
 cdbs,
 ghc6,
 haskell-devscripts (>= 0.7),
 alex,
 happy,
 libghc6-language-c-dev,
 docbook,
 docbook-xsl,
 xsltproc,
 libxml2-utils
Build-Conflicts: libghc6-wash-dev
Standards-Version: 3.8.4
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/c2hs
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/c2hs
Homepage: http://hackage.haskell.org/package/c2hs

Package: c2hs
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: C->Haskell Interface Generator
 C->Haskell is an interface generator that simplifies the development
 of Haskell bindings to C libraries.  The tool processes existing C
 header files that determine data layout and function signatures on
 the C side in conjunction with Haskell modules that specify
 Haskell-side type signatures and marshaling details.  Hooks embedded
 in the Haskell code signal access to C structures and functions --
 they are expanded by the interfacing tool in dependence on
 information from the corresponding C header file.
 .
 Haskell 98 is "the" standard lazy functional programming language.
 More info plus the language definition is at http://www.haskell.org/.
 .
 This package contains the c2hs parser.

Package: c2hs-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: C->Haskell Interface Generator -- Documentation package
 C->Haskell is an interface generator that simplifies the development
 of Haskell bindings to C libraries.  The tool processes existing C
 header files that determine data layout and function signatures on
 the C side in conjunction with Haskell modules that specify
 Haskell-side type signatures and marshaling details.  Hooks embedded
 in the Haskell code signal access to C structures and functions --
 they are expanded by the interfacing tool in dependence on
 information from the corresponding C header file.
 .
 Haskell 98 is "the" standard lazy functional programming language.
 More info plus the language definition is at http://www.haskell.org/.
 .
 This package contains documentation for c2hs.

=== debian/rules ===
#!/usr/bin/make -f

# Standard way of building Haskell libraries .
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

build/$(CABAL_PACKAGE) :: build-ghc6-stamp

build/$(CABAL_PACKAGE)-doc :: xml-docs

xml-docs :
	cd doc/ && make

## c2hs 0.16.3

=== debian/changelog ===
c2hs (0.16.3-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Erik de Castro Lopo ]
  * New upstream.
  * Bump standards version (no changes needed).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue, 10 May 2011 08:38:17 +1000

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends: debhelper (>= 7),
  dpkg-dev (>= 1.14),
  cdbs,
- ghc6,
+ ghc,
  haskell-devscripts (>= 0.7),
  alex,
  happy,
- libghc6-language-c-dev,
+ libghc-language-c-dev,
  docbook,
  docbook-xsl,
  xsltproc,
  libxml2-utils
-Build-Conflicts: libghc6-wash-dev
-Standards-Version: 3.8.4
+Build-Conflicts: libghc-wash-dev
+Standards-Version: 3.9.2
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/c2hs
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/c2hs
 Homepage: http://hackage.haskell.org/package/c2hs

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|c2hs-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/c2hs \
    ([\d\.]*\d)/

## c2hs 0.16.4

=== debian/changelog ===
c2hs (0.16.4-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:49:41 +0200

c2hs (0.16.4-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 08 Nov 2012 22:28:20 +0100

c2hs (0.16.3-2) unstable; urgency=low

  * patches/language-c-version-bump: Patch to work with language-c-0.4.2
    (Closes: #641112)
  * Specify version constraints of libghc-language-c-dev in Build-Depends.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 10 Sep 2011 15:36:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Arjan Oosting <arjan@debian.org>, Erik de Castro Lopo <erikd@mega-nerd.com>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 9),
  dpkg-dev (>= 1.14),
  cdbs,
  ghc,
- haskell-devscripts (>= 0.7),
+ haskell-devscripts (>= 0.8.13),
  alex,
  happy,
- libghc-language-c-dev,
+ libghc-language-c-dev (>= 0.3.1.1),
+ libghc-language-c-dev (<< 0.5),
  docbook,
  docbook-xsl,
  xsltproc,
  libxml2-utils
 Build-Conflicts: libghc-wash-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/c2hs
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/c2hs
 Homepage: http://hackage.haskell.org/package/c2hs

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/hlibrary.mk
 
-build/$(CABAL_PACKAGE) :: build-ghc6-stamp
+build/$(CABAL_PACKAGE) :: build-ghc-stamp
 
 build/$(CABAL_PACKAGE)-doc :: xml-docs

## c2hs 0.17.2

=== debian/changelog ===
c2hs (0.17.2-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 06 Aug 2014 17:47:02 +0200

c2hs (0.17.1-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 16 Apr 2014 10:30:00 +0200

c2hs (0.16.5-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Raúl Benencia ]
  * New upstream release (Closes: #709835)
  * Drop patches/language-c-version-bump as it's no longer needed

 -- Raúl Benencia <rul@kalgan.cc>  Fri, 28 Feb 2014 13:42:39 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  haskell-devscripts (>= 0.8.13),
  alex,
  happy,
- libghc-language-c-dev (>= 0.3.1.1),
+ libghc-language-c-dev (>= 0.4.2),
  libghc-language-c-dev (<< 0.5),
  docbook,
  docbook-xsl,

## c2hs 0.25.2

=== debian/changelog ===
c2hs (0.25.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:47:22 +0200

c2hs (0.25.2-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 05 Apr 2015 17:10:18 +0200

c2hs (0.17.2-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:09:19 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
  dpkg-dev (>= 1.14),
  cdbs,
  ghc,
- haskell-devscripts (>= 0.8.13),
+ haskell-devscripts (>= 0.9),
  alex,
  happy,
- libghc-language-c-dev (>= 0.4.2),
+ libghc-language-c-dev (>= 0.4.7),
  libghc-language-c-dev (<< 0.5),
+ libghc-dlist-dev,
  docbook,
  docbook-xsl,
  xsltproc,

## c2hs 0.27.1

=== debian/changelog ===
c2hs (0.27.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 11 Jan 2016 01:21:43 -0500

c2hs (0.25.2-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:01 -0500

c2hs (0.25.2-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:26:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: c2hs
-Section: haskell
-Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Arjan Oosting <arjan@debian.org>, Erik de Castro Lopo <erikd@mega-nerd.com>
+Priority: extra
+Section: haskell
 Build-Depends: debhelper (>= 9),
  dpkg-dev (>= 1.14),
  cdbs,
  ghc,
- haskell-devscripts (>= 0.9),
+ haskell-devscripts (>= 0.10),
  alex,
  happy,
  libghc-language-c-dev (>= 0.4.7),
@@ -16,18 +16,20 @@
  docbook,
  docbook-xsl,
  xsltproc,
- libxml2-utils
-Build-Conflicts: libghc-wash-dev
-Standards-Version: 3.9.4
-Vcs-Darcs: http://darcs.debian.org/pkg-haskell/c2hs
-Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/c2hs
+ libxml2-utils,
+Build-Conflicts: libghc-wash-dev,
+Standards-Version: 3.9.6
 Homepage: http://hackage.haskell.org/package/c2hs
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
+Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: c2hs
 Architecture: any
-Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Recommends: ${haskell:Recommends}
-Suggests: ${haskell:Suggests}
+Depends: ${haskell:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Recommends: ${haskell:Recommends},
+Suggests: ${haskell:Suggests},
 Description: C->Haskell Interface Generator
  C->Haskell is an interface generator that simplifies the development
  of Haskell bindings to C libraries.  The tool processes existing C
@@ -44,11 +46,12 @@
  This package contains the c2hs parser.
 
 Package: c2hs-doc
+Architecture: all
 Section: doc
-Architecture: all
-Depends: ${haskell:Depends}, ${misc:Depends}
-Recommends: ${haskell:Recommends}
-Suggests: ${haskell:Suggests}
+Depends: ${haskell:Depends},
+ ${misc:Depends},
+Recommends: ${haskell:Recommends},
+Suggests: ${haskell:Suggests},
 Description: C->Haskell Interface Generator -- Documentation package
  C->Haskell is an interface generator that simplifies the development
  of Haskell bindings to C libraries.  The tool processes existing C

=== debian/watch ===
version=3
http://hackage.haskell.org/package/c2hs/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## c2hs 0.28.1

=== debian/changelog ===
c2hs (0.28.1-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:13 -0400

c2hs (0.28.1-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 15:36:30 -0400

c2hs (0.28.1-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 28 May 2016 13:24:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,42 @@
 Source: c2hs
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Arjan Oosting <arjan@debian.org>, Erik de Castro Lopo <erikd@mega-nerd.com>
+Uploaders:
+ Arjan Oosting <arjan@debian.org>,
+ Erik de Castro Lopo <erikd@mega-nerd.com>,
 Priority: extra
 Section: haskell
-Build-Depends: debhelper (>= 9),
- dpkg-dev (>= 1.14),
+Build-Depends:
+ alex,
  cdbs,
- ghc,
- haskell-devscripts (>= 0.10),
- alex,
- happy,
- libghc-language-c-dev (>= 0.4.7),
- libghc-language-c-dev (<< 0.5),
- libghc-dlist-dev,
+ debhelper (>= 9),
  docbook,
  docbook-xsl,
+ dpkg-dev (>= 1.14),
+ ghc (>= 8),
+ happy,
+ haskell-devscripts (>= 0.13),
+ libghc-dlist-dev,
+ libghc-language-c-dev (<< 0.6),
+ libghc-language-c-dev (>= 0.5),
+ libxml2-utils,
  xsltproc,
- libxml2-utils,
-Build-Conflicts: libghc-wash-dev,
-Standards-Version: 3.9.6
+Build-Conflicts:
+ libghc-wash-dev,
+Standards-Version: 3.9.8
 Homepage: http://hackage.haskell.org/package/c2hs
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/c2hs
+Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
 
 Package: c2hs
 Architecture: any
-Depends: ${haskell:Depends},
+Depends:
+ ${haskell:Depends},
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
 Description: C->Haskell Interface Generator
  C->Haskell is an interface generator that simplifies the development
  of Haskell bindings to C libraries.  The tool processes existing C
@@ -48,10 +55,13 @@
 Package: c2hs-doc
 Architecture: all
 Section: doc
-Depends: ${haskell:Depends},
+Depends:
+ ${haskell:Depends},
  ${misc:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
 Description: C->Haskell Interface Generator -- Documentation package
  C->Haskell is an interface generator that simplifies the development
  of Haskell bindings to C libraries.  The tool processes existing C

## c2hs 0.28.2

=== debian/changelog ===
c2hs (0.28.2-1) unstable; urgency=medium

  * New upstream release

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 16 Sep 2017 13:28:20 -0700

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
  happy,
  haskell-devscripts (>= 0.13),
  libghc-dlist-dev,
- libghc-language-c-dev (<< 0.6),
- libghc-language-c-dev (>= 0.5),
+ libghc-language-c-dev (>= 0.6),
+ libghc-language-c-dev (<< 0.7),
  libxml2-utils,
  xsltproc,
 Build-Conflicts:

## c2hs 0.28.3

=== examples/libghttpHS/Makefile ===
#  GnomeHaskell bindings: Gnome HTTP library
#
#  Author : Manuel M. T. Chakravarty
#  Created: 8 October 1999
#
#  Copyright (c) 1999 Manuel M. T. Chakravarty
#
#  This file is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This file is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  = DOCU =====================================================================
#
#  = TODO =====================================================================
#
#  * Let configure do the dirty work; how about automake

# the commented out variants are to be used if the directory is moved out of 
# the C->HS source tree
#
GHC=ghc
#C2HS=c2hs
C2HS=../../c2hs
GHTTP_HEADER=ghttpHS.h
#HCFLAGS=`c2hs-config --cflags`
HCFLAGS=-i../../lib -fglasgow-exts

OBJS=Ghttp.o ghttpHS.o

Ghttp.hs: Ghttp.chs ghttpHS.h
	$(C2HS) $(GHTTP_HEADER) Ghttp.chs

Ghttp.o: Ghttp.hs ghttpHS.h
	$(GHC) '-#include"ghttpHS.h"' $(HCFLAGS) -c $<

ghttpHS.o: ghttpHS.h ghttpHS.c

libghttpHS.a: $(OBJS)
	-$(RM) $@
	$(AR) -crs $@ $(OBJS)

=== debian/changelog ===
c2hs (0.28.3-2) unstable; urgency=medium

  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:39 -0400

c2hs (0.28.3-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1

  [ Clint Adams ]
  * New upstream release.
    - Copes with newer math.h.  closes: #888086.

 -- Clint Adams <clint@debian.org>  Tue, 23 Jan 2018 20:36:43 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders:
  Arjan Oosting <arjan@debian.org>,
  Erik de Castro Lopo <erikd@mega-nerd.com>,
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends:
  alex,
@@ -16,16 +16,14 @@
  happy,
  haskell-devscripts (>= 0.13),
  libghc-dlist-dev,
- libghc-language-c-dev (>= 0.6),
- libghc-language-c-dev (<< 0.7),
+ libghc-language-c-dev (>= 0.7.1),
+ libghc-language-c-dev (<< 0.8),
  libxml2-utils,
  xsltproc,
-Build-Conflicts:
- libghc-wash-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://hackage.haskell.org/package/c2hs
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/c2hs
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/c2hs
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 
 Package: c2hs
 Architecture: any

## c2hs 0.28.5

=== doc/Makefile ===
#  C->Haskell Compiler: documentation makefile
#
#  Author : Manuel M T Chakravarty
#  Created: 30 October 1999
#
#  Version $Revision: 1.9 $ from $Date: 2002/07/06 09:59:40 $
#
#  Copyright (c) [1999..2002] Manuel M T Chakravarty
#
#  This file is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This file is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  = DOCU =====================================================================
#
#  * Nothing is installed at the moment. That has to be done manually.

# must be first
#
default: html

XMLLINT=xmllint
XMLLINT_OPTIONS=--nonet --noout --valid

XSLTPROC=xsltproc
XSLTPROC_HTML_OUTDIR=users_guide/
XSLTPROC_HTML_CSS=c2hs.css
XSLTPROC_HTML_PARAMS=\
	--param use.id.as.filename 1 \
	--stringparam base.dir $(XSLTPROC_HTML_OUTDIR) \
	--stringparam html.stylesheet $(XSLTPROC_HTML_CSS)
XSLTPROC_HTML_STYLESHEET=http://docbook.sourceforge.net/release/xsl/current/html/chunk.xsl
XSLTPROC_OPTIONS=--nonet $(XSLTPROC_HTML_PARAMS) $(XSLTPROC_HTML_STYLESHEET)

# build targets
#
.PHONY: html pdf
html: c2hs.xml
	$(XMLLINT) $(XMLLINT_OPTIONS) $<
	$(XSLTPROC) $(XSLTPROC_OPTIONS) $<
	cp $(XSLTPROC_HTML_CSS) $(XSLTPROC_HTML_OUTDIR)

pdf: c2hs.xml
	sgml2pdf $<

# auxiliary targets
#
.PHONY: clean
clean:
	-rm -rf users_guide/ c2hs.pdf

=== debian/changelog ===
c2hs (0.28.5-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 02 Jul 2018 21:00:43 -0400

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
  Erik de Castro Lopo <erikd@mega-nerd.com>,
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  alex,
  cdbs,
@@ -17,13 +18,14 @@
  haskell-devscripts (>= 0.13),
  libghc-dlist-dev,
  libghc-language-c-dev (>= 0.7.1),
- libghc-language-c-dev (<< 0.8),
+ libghc-language-c-dev (<< 0.9),
+ libghc-language-c-prof,
  libxml2-utils,
  xsltproc,
 Standards-Version: 4.1.4
 Homepage: http://hackage.haskell.org/package/c2hs
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/c2hs
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/c2hs]
 
 Package: c2hs
 Architecture: any

## c2hs 0.28.6

=== debian/changelog ===
c2hs (0.28.6-1build4) groovy; urgency=medium

  * No-change rebuild against libffi8ubuntu1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 00:02:50 +0000

c2hs (0.28.6-1build3) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 10:56:30 +0000

c2hs (0.28.6-1build2) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 09:06:36 +0000

c2hs (0.28.6-1build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Sep 2019 17:40:48 +0200

c2hs (0.28.6-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Add missing "Upstream-Name" field into "debian/copyright".

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 28 Jul 2019 20:13:16 -0400

c2hs (0.28.5-2) unstable; urgency=medium

  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:01:06 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: c2hs
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Arjan Oosting <arjan@debian.org>,
  Erik de Castro Lopo <erikd@mega-nerd.com>,
@@ -9,7 +10,7 @@
 Build-Depends:
  alex,
  cdbs,
- debhelper (>= 9),
+ debhelper (>= 10),
  docbook,
  docbook-xsl,
  dpkg-dev (>= 1.14),

## c2hs 0.28.8

=== tests/system/Makefile ===
# Note that file.o and File.o are the same file on case-insensitive systems
# Therefore we shouldn't use one for C and one for HS
HC=ghc

HCFLAGS= -fffi
C2HS   = ../../dist/build/c2hs/c2hs
# C2HSFLAGS = -d trace -d genbind -d ctrav -d chs
PRGMS = simple calls enums pointer structs marsh cpp

default: tests

# builds

C2HS.o: ../../C2HS.hs
	cp -p ../../C2HS.hs .
	$(HC) -c C2HS.hs

simple: C2HS.o Simple.chs simple.h simple.c
	$(C2HS) $(C2HSFLAGS) simple.h Simple.chs
	$(HC) -c -o Simple_hs.o Simple.hs $(HCFLAGS)
	$(CC) -c simple.c
	$(HC) -o simple simple.o Simple_hs.o C2HS.o

calls: C2HS.o Calls.chs calls.h
	$(C2HS) $(C2HSFLAGS) calls.h Calls.chs
	$(HC) -c -o Calls.o Calls.hs -#include\"calls.h\" $(HCFLAGS) || \
	echo "!!! Building calls failed ! known bug #?"

enums: C2HS.o Enums.chs enums.h
	$(C2HS) $(C2HSFLAGS) enums.h Enums.chs
	$(CC) -o enums_c.o -c enums.c
	$(HC) -o enums enums_c.o Enums.hs -#include\"enums.h\" $(HCFLAGS) C2HS.o

pointer: C2HS.o Pointer.chs pointer.h pointer.c
	$(C2HS) $(C2HSFLAGS) pointer.h Pointer.chs
	$(CC) -o pointer_c.o -c pointer.c
	$(HC) -o pointer pointer_c.o Pointer.hs -#include\"pointer.h\"\
	  $(HCFLAGS) C2HS.o

sizeof: C2HS.o Sizeof.chs sizeof.h sizeof.c
	$(C2HS) $(C2HSFLAGS) sizeof.h Sizeof.chs
	$(HC) -c -o Sizeof.o Sizeof.hs -#include\"sizeof.h\" $(HCFLAGS)
	$(CC) -o sizeof_c.o -c sizeof.c
	$(HC) -o sizeof sizeof_c.o Sizeof.o $(HCFLAGS) C2HS.o

structs: C2HS.o Structs.chs structs.h structs.c
	$(C2HS) $(C2HSFLAGS) structs.h Structs.chs
	$(HC) -c -o Structs.o Structs.hs -#include\"structs.h\" $(HCFLAGS)
	$(CC) -o structs_c.o -c structs.c
	$(HC) -o structs structs_c.o Structs.o $(HCFLAGS) C2HS.o

marsh: C2HS.o Marsh.chs marsh.h
	$(C2HS) $(C2HSFLAGS) marsh.h Marsh.chs
	$(HC) -o marsh Marsh.hs -#include\"marsh.h\" $(HCFLAGS) C2HS.o

cpp: C2HS.o Cpp.chs cpp.h
	$(C2HS) $(C2HSFLAGS) Cpp.chs
	$(HC) -c -o Cpp.o Cpp.hs -#include\"Cpp.h\" $(HCFLAGS) C2HS.o

# runs

.PHONY: tests simple.run calls.build enums.run pointer.run structs.run\
	marsh.run cpp.build

tests: simple.run enums.run pointer.run structs.run marsh.run\
       cpp.build buggy
buggy: calls.build sizeof.run

simple.run: simple
	@echo "---=== Output of \`simple'":
	@./simple
	@echo "---=== End of Output"

calls.build: calls
	@echo "---=== Binding for \`calls'":
	@cat Calls.hs
	@echo "---=== End of Binding"

enums.run: enums
	@echo "---=== Output for \`enums'":
	@./enums
	@echo "---=== End of Output"

pointer.run: pointer
	@echo "---=== Output for \`pointer'":
	@./pointer
	@echo "---=== End of Output"

sizeof.run: sizeof
	@echo "---=== Output for \`sizeof'":
	@./sizeof || \
	echo "!!! sizeof FAILED: Maybe related to bug #10"
	@echo "---=== End of Output"


structs.run: structs
	@echo "---=== Output for \`structs'":
	@./structs > structs.out
	@cat structs.out
	@diff structs.out structs.expect
	@echo "---=== End of Output (diff ok)"

marsh.run: marsh
	@echo "---=== Output for \`marsh'":
	@./marsh
	@echo "---=== End of Output"

cpp.build: cpp
	@echo "---=== Binding for \`cpp'":
	@cat Cpp.hs
	@echo "---=== End of Binding"

# misc

clean:
	-rm -f *.o *.hi *.hs *.out $(PRGMS)

=== debian/changelog ===
c2hs (0.28.8-2) unstable; urgency=high

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1
  * Declare compliance with Debian policy 4.6.2
  * Declare compliance with Debian policy 4.7.0

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Clint Adams ]
  * Patch for newer dependencies.  closes: #1128692.

 -- Clint Adams <clint@debian.org>  Sun, 22 Feb 2026 09:52:24 -0500

c2hs (0.28.8-1) unstable; urgency=medium

  [ Apollon Oikonomopoulos ]
  * Team upload
  * New upstream release
    + B-D on libghc-language-c-dev >= 0.9 to ensure GCC-11 compatibility
      (closes: #984167)
  * Fix paragraph continuation in d/copyright

  [ Debian Janitor ]
  * Remove MIA uploaders

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 01 Feb 2022 19:53:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: c2hs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
- Arjan Oosting <arjan@debian.org>,
  Erik de Castro Lopo <erikd@mega-nerd.com>,
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
  alex,
- cdbs,
- debhelper (>= 10),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
  docbook,
  docbook-xsl,
  dpkg-dev (>= 1.14),
@@ -18,12 +16,15 @@
  happy,
  haskell-devscripts (>= 0.13),
  libghc-dlist-dev,
- libghc-language-c-dev (>= 0.7.1),
- libghc-language-c-dev (<< 0.9),
- libghc-language-c-prof,
+ libghc-language-c-dev (>= 0.9),
+ libghc-language-c-dev (<< 0.11),
+# libghc-hunit-dev <!nocheck>,
+# libghc-shelly-dev (>= 1.9.0) <!nocheck>,
+# libghc-test-framework-dev <!nocheck>,
+# libghc-test-framework-hunit-dev <!nocheck>,
  libxml2-utils,
  xsltproc,
-Standards-Version: 4.1.4
+Standards-Version: 4.7.3
 Homepage: http://hackage.haskell.org/package/c2hs
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/c2hs
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/c2hs]

=== debian/rules ===
#!/usr/bin/make -f

export DEB_ENABLE_TESTS = no # needs patching for shelly to find c2hs in PATH

execute_after_dh_auto_build-indep:
	cd doc/ && make

%:
	dh $@
